package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("游戏选项同步对象")
public class AppGameItemDTO {

    @ApiModelProperty(value = "第三方平台ID，对应平台CODE")
    private String classId;

    @ApiModelProperty(value = "第三方游戏ID，对应游戏CODE")
    private String gameId;

    @ApiModelProperty(value = "第三方倍率配置，以逗号隔开")
    private String config;

}
