package com.game.business.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@Data
public class AppUserDTO {

    @ApiModelProperty(value = "操作人ID")
    private Long userId;

    @ApiModelProperty(value = "用户名称/手机号")
    private String userName;

    @ApiModelProperty(value = "手机号区域 例如:86")
    private String smsRegion;

    @ApiModelProperty(value = "密码")
    private String passWord;

}
