package com.game.business.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@ApiModel("代理转账")
public class AppUserTeamTranserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户id */
    @ApiModelProperty(value = "受益用户id")
    @NotNull(message = "受益用户不能为空")
    private Long toUserId;

    /** 金额 **/
    @ApiModelProperty(value = "金额")
    @NotNull(message = "金额不能为空")
    private Double money;

    /** 金额 **/
    @ApiModelProperty(value = "支付密码")
    @NotNull(message = "支付密码不能为空")
    private String fundPassword;

}
