package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("修改密码")
@Data
public class RestPwdDto implements Serializable {

    @NotNull(message = "密码不能为空")
    private String password;

    @NotNull(message = "UID不能为空")
    private Long userId;

}
