package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("充值")
@Data
public class UserWithdrawDto implements Serializable {

    @NotNull(message = "金额")
    private Double amount;

    @NotNull(message = "UID不能为空")
    private Long userId;

}
