package com.game.business.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "游戏输赢汇总", description = "游戏输赢汇总")
public class AppGameBettingCountVO {

    @ApiModelProperty(value = "下单金额")
    private double orderAmount;

    @ApiModelProperty(value = "赢")
    private double winAmount;

    @ApiModelProperty(value = "输")
    private double loseAmount;

    @ApiModelProperty(value = "游戏列表统计")
    private List<AppGameBettingDetailsCountVO> list;
}
