package com.game.business.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "游戏输赢详情", description = "游戏输赢详情")
public class AppGameBettingDetailsCountVO {

    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    @ApiModelProperty(value = "logo")
    private String logoUrl;

    @ApiModelProperty(value = "游戏路径")
    private String gamePath;

    @ApiModelProperty(value = "投注类型：0：余额 1：金币")
    private Integer bettingType ;

    @ApiModelProperty(value = "数量")
    private long bettingCount;

    @ApiModelProperty(value = "下单金额")
    private double orderAmount;

    @ApiModelProperty(value = "赢")
    private double winAmount;

    @ApiModelProperty(value = "输")
    private double loseAmount;
}
