package com.game.business.vo;

import com.game.business.domain.AppGameLottery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "游戏开奖记录", description = "游戏开奖记录")
public class AppGameLotteryVO extends AppGameLottery {


    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    @ApiModelProperty(value = "logo")
    private String logoUrl;

    @ApiModelProperty(value = "游戏路径")
    private String gamePath;

    @ApiModelProperty(value = "游戏选项名称")
    private String itemName;

    @ApiModelProperty(value = "游戏选项倍数")
    private String itemMultiple;
}