package com.game.business.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "com.kalacheng.buscommon.modelvo.AppUserAgentJournalVO", description = "代理中心首页统计数据")
public class AppUserAgentJournalIndexVO {

    @ApiModelProperty(value = "我的佣金")
    private double myCommission = 0;

    @ApiModelProperty(value = "游戏佣金")
    private double gameCommission = 0;

    @ApiModelProperty(value = "直播佣金")
    private double liveCommission = 0;

    @ApiModelProperty(value = "团队充值（扣除手续费后的金额）")
    private double teamRecharge = 0;

    @ApiModelProperty(value = "团队投注")
    private double teamBetting = 0;

    @ApiModelProperty(value = "团队直播消费(金币)")
    private double teamLive = 0;

    @ApiModelProperty(value = "团队投注 赢")
    private double teamWin = 0;

    @ApiModelProperty(value = "团队投注 输")
    private double teamLose = 0;

    @ApiModelProperty(value = "团队充值赠送金额（余额）")
    private double rechargeGive = 0;

    @ApiModelProperty(value = "团队充值手续费")
    private double rechargeCommission = 0;

    @ApiModelProperty(value = "团队提现手续费")
    private double withdrawalCommission = 0;

    @ApiModelProperty(value = "团队人数")
    private int teamUser = 0;

    @ApiModelProperty(value = "活跃人数")
    private int activeUser = 0;

    @ApiModelProperty(value = "昨日新增")
    private int yesterdayUser = 0;

    @ApiModelProperty(value = "月新增")
    private int monthUser = 0;

    @ApiModelProperty(value = "直播收益")
    private Double liveProfit;

    @ApiModelProperty(value = "直播邀请奖励")
    private Double liveInvite;

}
