package com.game.business.vo;

import com.game.business.domain.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class AppUserDetailVo implements Serializable {

    @ApiModelProperty(value = "上级用户列表")
    private List<AppUserAgent> superUserList;

    private Double dividendGuaranteeRate;
    private Double liveRate;
    List<AppGameCommission> gameCommissionList;
    List<AppUser> ipUserList;
    List<AppUsersCashAccount> usersCashAccounts;
    List<ShopBusinessOrder> businessOrders;

}
