package com.game.common.constant;

import com.game.common.utils.MessageUtils;

/**
 * @author jiang
 * @date 2020/11/24 9:46
 * @Description: 用来存放项目的一些文字常量或图片
 */
public class ConstantsList {

    /**
     * 货币单位
     */
    public static String MONEY_PICTURE_ICON = "/static/h5/img/jinbi-36.png";

    /**
     * 贵族使用的名称
     */
    public static String NOBLE_NAME = "贵族";

    /**
     * 普通礼物显示的名称
     */
    public static String ORDINARY_GIFT_SHOW_NAME (){
        return MessageUtils.message("11066");
    }

    /**
     * 注册名称
     */
    public static String default_userName = "";
    // ConstantsList.default_userName = "陌言%s";
    /**
     * 注册时，名称默认保留几位 取模
     */
    public static int default_userName_number = 4;
    /**
     * 注册时，默认的性别
     */
    public static int default_userSex = 0;
    /**
     * 注册时，默认的年龄
     */
    public static int default_userAge = 0;

    public static String m_ManagerMenuName(){
        return MessageUtils.message("11067");
    }

    public static String m_ManagerMenuNameMy (){
        return MessageUtils.message("11068");
    }

    public static String m_ManagerMenuMyChield (){
        return MessageUtils.message("11069");
    }

    public static String m_ManagerListPageName(){
        return MessageUtils.message("11069");
    }

    public static String m_ManagerUserNaming (){
        return MessageUtils.message("11070");
    }

    /**
     * 在线状态状态延长 onlineStatusExtension 分钟后才显示离线
     */
    public static int onlineStatusExtension = 0;

    /**
     * 中国大陆;1中国大陆+越南
     */
    public static int m_MobileType = 0;

    /**
     * 游客账号使用的id 小于1时,不使用游客账号
     */
    public static int visitorUserId = 0;
    /**
     * 代理计算佣金层级
     */
    public static int agentCommissionLevel = 3;

    /**
     * 收益榜放大倍数
     */
    public static int earningsZoomedIn = 1;
    /**
     * 贡献榜放大倍数
     */
    public static int contributionZoomIn = 1;

    // 对方正在通话时,提示文字
    public static String oooCallPointWord(){
        return MessageUtils.message("11071");
    }

}
