package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@TableName(value = "app_game_item_multiple")
public class AppGameItemMultiple {

    @ApiModelProperty(value = "游戏开奖Id")
    @TableId(value = "id" , type = IdType.AUTO)
    @Excel(name = "游戏倍数记录ID", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏倍数记录ID")
    private Long id;

    @Excel(name = "游戏Id")
    @TableField(value = "game_id")
    @ApiModelProperty(value = "游戏Id")
    private Long gameId;

    @Excel(name = "游戏期号")
    @TableField(value = "game_date")
    @ApiModelProperty(value = "游戏期号")
    private String gameDate;

    @Excel(name = "选项倍数")
    @TableField(value = "item_multiple")
    @ApiModelProperty(value = "选项倍数")
    private String itemMultiple;

}
