package com.game.business.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.game.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("修改设置")
public class AppAgentEditDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 直播分成比例 */
    @ApiModelProperty(value = "直播分成比例")
    @Excel(name = "直播分成比例")
    private Long liveRate;

    /** 保底分红比例 */
    @ApiModelProperty(value = "保底分红比例")
    @Excel(name = "保底分红比例")
    private Long dividendGuaranteeRate;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long userId;

}
