package com.game.business.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.game.common.annotation.Excel;
import com.game.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("代理团队")
public class AppAgentTeamDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户id */
    @ApiModelProperty(value = "用户id 搜索用")
    private Long userId;

    /** 用户id */
    @ApiModelProperty(value = "用户昵称 搜索用")
    private String nickName;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间 格式yyyy-MM-dd")
    private String beginTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间 格式yyyy-MM-dd")
    private String endTime;

    @ApiModelProperty(value = "上级id")
    private Long pid;

    /** 当前记录起始索引 */
    @ApiModelProperty(value = "页数")
    private Integer pageNum;

    /** 每页显示记录数 */
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

}
