package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("消费记录统计参数")
public class FinTranRecordDTO implements Serializable {

    /** 用户ID */
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 开始时间 */
    @ApiModelProperty(value = "开始时间 格式yyyy-MM-dd")
    private String beginTime;

    /** 结束时间 */
    @ApiModelProperty(value = "结束时间 格式yyyy-MM-dd")
    private String endTime;



}
