package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("充值")
@Data
public class UserChargeDto implements Serializable {

    @NotNull(message = "充值金额")
    private Double amount;

    /*@NotNull(message = "充值赠送金额")
    private Double giveAmount;

    @NotNull(message = "说明")
    private String remark;*/

    @NotNull(message = "充值类型 0：金币  1：余额")
    private int type = 0;

    @NotNull(message = "UID不能为空")
    private Long userId;

//    @NotNull(message = "费率")
    private Double rate = 0.00;

//    @NotNull(message = "渠道id")
    private Long channelId;

}
