package com.game.business.vo;

import com.game.business.domain.AppUserAgent;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AppUserAgentVO extends AppUserAgent {

    @ApiModelProperty(value = "游戏设置集合")
    private List<AppGameCommissionVO> commissions;

    @ApiModelProperty(value = "用户昵称")
    private Long userId;

    @ApiModelProperty(value = "用户昵称")
    private String nickName;

    @ApiModelProperty(value = "用户头像")
    private String avatar;

}
